Groovy Documentation

## grails.test
[Groovy] Class DemandProxy

    java.lang.Object
      grails.test.DemandProxy

    class DemandProxy

Keeps track of demands and expectations for a particular Grails mock.

Property Summary
`groovy.mock.interceptor.Demand` | `demand`
`java.lang.Object` | `expectation`
`java.util.Map` | `instanceMethods` Keeps a map of instance methods added via the mock.demand... syntax.
`boolean` | `isStatic`
`java.lang.Class` | `mockedClass`

Constructor Summary
`DemandProxy(java.lang.Class mockedClass, boolean loose)`

Method Summary
`java.lang.Object` | `getStatic()`
`java.lang.Object` | `invokeMethod(java.lang.String methodName, java.lang.Object args)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### demand

    groovy.mock.interceptor.Demand demand

### expectation

    java.lang.Object expectation

### instanceMethods

    java.util.Map instanceMethods

  Keeps a map of instance methods added via the mock.demand... syntax.

### isStatic

    boolean isStatic

### mockedClass

    java.lang.Class mockedClass

Constructor Detail

### DemandProxy

    DemandProxy(java.lang.Class mockedClass, boolean loose)

Method Detail

### getStatic

    java.lang.Object getStatic()

### invokeMethod

    java.lang.Object invokeMethod(java.lang.String methodName, java.lang.Object args)

Groovy Documentation